from django import forms
from ppt.models import Slide
from django.utils.safestring import mark_safe

class WYMEditor(forms.Textarea):
    class Media:
        js = (
            '/smedia/js/jquery/jquery.js',
            '/smedia/js/wymeditor/jquery.wymeditor.pack.js',
        )

    def __init__(self, attrs=None):
        self.attrs = {'class': 'wymeditor'}
        if attrs:
            self.attrs.update(attrs)
        super(WYMEditor, self).__init__(attrs)

    def render(self, name, value, attrs=None):
        rendered = super(WYMEditor, self).render(name, value, attrs)
        return rendered + mark_safe(u'''<script type="text/javascript">
            jQuery('#id_%s').wymeditor({
                updateSelector: '.submit-row input[type=submit]',
                updateEvent: 'click',
                lang: 'en',
            });
            </script>''' % (name))


class SlideAdminModelForm(forms.ModelForm):
    content = forms.CharField(widget=WYMEditor())

    class Meta:
        model = Slide
